## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate procs

Name:           rust-procs
Version:        0.14.4
Release:        %autorelease
Summary:        Modern replacement for ps

License:        MIT
URL:            https://crates.io/crates/procs
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          procs-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove docker feature / dockworker dependency
# * bump which from 5 to 6
Patch:          procs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A modern replacement for ps.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/procs
%{bash_completions_dir}/procs.bash
%{fish_completions_dir}/procs.fish
%{zsh_completions_dir}/_procs

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

# generate and install shell completions
target/rpm/procs --gen-completion-out bash > procs.bash
target/rpm/procs --gen-completion-out fish > procs.fish
target/rpm/procs --gen-completion-out zsh > _procs

install -Dpm 0644 procs.bash -t %{buildroot}/%{bash_completions_dir}
install -Dpm 0644 procs.fish -t %{buildroot}/%{fish_completions_dir}
install -Dpm 0644 _procs -t %{buildroot}/%{zsh_completions_dir}

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Mar 12 2024 Michel Lind <salimma@fedoraproject.org> 0.14.4-4
- Re-add licenses

* Tue Mar 12 2024 Michel Lind <salimma@fedoraproject.org> 0.14.4-3
- Rebuilt for which 6

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.14.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fabio Valentini <decathorpe@gmail.com> 0.14.4-1
- Update to version 0.14.4; Fixes RHBZ#2244800

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> 0.14.1-2
- Install shell completion support system-wide

* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> 0.14.1-1
- Update to version 0.14.1; Fixes RHBZ#2242470

* Wed Aug 02 2023 Fabio Valentini <decathorpe@gmail.com> 0.14.0-1
- Update to version 0.14.0; Fixes RHBZ#2112181

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 0.12.3-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 0.12.3-1
- Update to version 0.12.3; Fixes RHBZ#1921589

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.10-5
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.10-1
- Update to version 0.10.10.

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.5-1
- Update to version 0.10.5.

* Wed Sep 30 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.3-6
- Bump procfs to 0.8.0.

* Fri Sep 18 2020 Fabio Valentini <decathorpe@gmail.com> - 0.10.3-5
- Bump which to 4.

* Sun Aug 16 15:01:39 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.3-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 11:35:48 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.3-2
- Update users to 0.10

* Mon May 11 2020 Josh Stone <jistone@redhat.com> - 0.10.3-1
- Update to 0.10.3

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.10.1-1
- Update to 0.10.1

* Sun Mar 15 09:09:36 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.20-1
- Update to 0.9.20

* Mon Mar 02 17:17:39 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.16-1
- Update to 0.9.16

* Tue Feb 25 08:10:30 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.12-1
- Update to 0.9.12

* Tue Feb 18 13:11:48 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.11-1
- Initial package

